Subject: Re: [PATCH] tests: make SANITIZE=address imply TEST_NO_MALLOC_CHECK

From: Junio C Hamano <[email-masked]>
Date: Mon, 11 Apr 2022 12:11:19 -0700

"Phillip Wood via GitGitGadget" <[email-masked]> writes:

> From: Phillip Wood <[email-masked]>
>
> As the address sanitizer checks for a superset of the issues detected
> by setting MALLOC_CHECK_ (which tries to detect things like double
> frees and off-by-one errors) there is no need to set the latter when
> compiling with -fsanitize=address.

Very good idea.

>     I'm submitting this now as it fixes a regression introduced in the
>     current cycle. Having said that there is an easy workaround (once one
>     has discovered GIT_TEST_NO_MALLOC_CHECK) so I'd be happy to wait until
>     the start of the next cycle given I've just missed -rc1.

Yeah, if this patch were broken, we'd be in worse place than we
currently are, so I'd rather not fast-track it.  I will queue it in
'seen' and possibly merge to 'next' as it is a good idea to avoid
using both at the same time, though.

Thanks.